<div class="ui modal form">
  <i class="close icon"></i>
  <div class="header">
    Cargar archivo
  </div>

  <div class="content">
    <%= form_for @upload,
                 url: student_subject_modules_classworks_path(upload_id: @upload, classwork_id: @classwork, subject_id: @subject, group_id: @group),
                 method: :put, remote: true do |form| %>

      <div class="ui one column stackable container grid">
        <div class="column">
          <p>
            <strong>Calificación: </strong>
            <%= @upload.score.nil? ? 'Aún no has sido calificado por tu tutor' : "#{@upload.score} / 10" %>
          </p>

          <p>
            <strong>Comentarios del tutor: </strong>
            <%= @upload.comments.present? ? "#{@upload.comment.humanize}" : 'Tu tutor aun no ha generado comentarios' %>
          </p>

          <p>
            <strong>Fecha de carga: </strong>
            <%= @upload.file.attached? ? "#{l(@upload.updated_at, format: '%d/%m/%Y - %H:%M')}" : '' %>
          </p>

          <p>
            <strong>Descarga tu ultimo archivo subido a este modulo:</strong>
            <%= @upload.file.attached? ? (link_to('Descargar', rails_blob_path(@upload.file, disposition: 'attachment'), download: '')) : '' %>
          </p>
        </div>
      </div>

      <div class="hr-divider"></div>


      <div class="ui one column stackable grid">
        <div class="column">
          <h3>¿Haz subido un archivo errado? ¿Deseas cambiarlo?</h3>
        </div>
      </div>

      <%= error_message(@upload) %>

      <div class="description">
        <div class="ui grid">
          <div class="one column row">
            <div class="column">
              <%= form.file_field :file, required: true %>
              <small style="color: red;">Si no necesitas cambiar ignora esta opción.</small>
            </div>
          </div>
        </div>
      </div>

      <div class="hr-divider"></div>

      <div class="ui one column stackable grid">
        <div class="column">
          <%= form.submit 'Subir archivo', class: 'ui fluid green button', data: {disable_with: 'Cargando archivo...'} %>
        </div>
      </div>

    <% end %>
  </div>


</div>



